geos::index::chain Namespace Reference

Contains classes that implement Monotone Chains. More...

## Classes

class | MonotoneChain
| Monotone Chains are a way of partitioning the segments of a linestring to allow for fast searching of intersections. More...
class | MonotoneChainBuilder
| Constructs MonotoneChains for sequences of Coordinates. More...
class | MonotoneChainOverlapAction
| The action for the internal iterator for performing overlap queries on a MonotoneChain. More...
class | MonotoneChainSelectAction

## Detailed Description

Contains classes that implement Monotone Chains.